Subject: bug#49742: 28.0.50; previous-single-property-change sometimes wrong?

From: "T.V Raman" <[email-masked]>
Date: Tue, 27 Jul 2021 07:50:01 -0700

we're talking across one another,   point is on 'H' with face
'transient-heading. previous-single-property-change should return 1 <
(point) since the face property there is nil; instead it's returning a
value that is further back.

Eli Zaretskii writes:
 > On July 27, 2021 6:06:31 AM GMT+03:00, "T.V Raman" <[email-masked]> wrote:
 > > Eli Zaretskii <[email-masked]> writes:
 > > 
 > > I believe  value returned should be point before the 'H', ie the
 > > newline
 > > where property face is nil.
 > 
 > No, because this function scans back from POSITION, and that is the position between the newline and 'H' in your case, because that's where point is.  So the function must return a position before that.

-- 

Thanks,

--Raman(I Search, I Find, I Misplace, I Research)
♉ Id: kg:/m/0285kf1  🦮

-- 

Thanks,

--Raman(I Search, I Find, I Misplace, I Research)
♉ Id: kg:/m/0285kf1  🦮